package com.ruoyi.system.domain;

public class RecordData {

    /** 数据唯一标识 */
    private String id;

    /** 停车库唯一标识 */
    private String parkSyscode;

    /** 停车库名称 */
    private String parkName;

    /** 出入口唯一标识 */
    private String entranceSyscode;

    /** 出入口名称 */
    private String entranceName;

    /** 车道唯一标识 */
    private String roadwaySyscode;

    /** 车道名称 */
    private String roadwayName;

    /** 是否出场 0-进场，1-出场 */
    private int vehicleOut;

    /** 放行模式0-禁止放行，1-固定车包期，2-临时车入场，3-预约车入场，10-离线出场，11-缴费出场，12-预付费出场，13-免费出场，30- 非法卡不放行，31-手动放行，32-特殊车辆放行，33-节假日放行，35-群组放行，36-遥控器开闸 */
    private Integer releaseMode;

    /** 车牌号码 */
    private String plateNo;

    /** 卡片号码 */
    private String cardNo;

    /** 通过时间ISO8601格式：yyyy-MM-ddTHH:mm:ss+当前时区，例如北京时间：2018-07-26T15:00:00+08:00 */
    private String crossTime;

    /** 创建时间 */
    private String createTime;

    /** 开始时间 */
    private String startTime;

    /** 结束时间 */
    private String endTime;

    public String getId() {
        return id;
    }

    public String getParkSyscode() {
        return parkSyscode;
    }

    public String getParkName() {
        return parkName;
    }

    public String getEntranceSyscode() {
        return entranceSyscode;
    }

    public String getEntranceName() {
        return entranceName;
    }

    public String getRoadwaySyscode() {
        return roadwaySyscode;
    }

    public String getRoadwayName() {
        return roadwayName;
    }

    public int getVehicleOut() {
        return vehicleOut;
    }

    public Integer getReleaseMode() {
        return releaseMode;
    }

    public String getPlateNo() {
        return plateNo;
    }

    public String getCardNo() {
        return cardNo;
    }

    public String getCrossTime() {
        return crossTime;
    }

    public String getCreateTime() {
        return createTime;
    }

    public String getStartTime() {
        return startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setParkSyscode(String parkSyscode) {
        this.parkSyscode = parkSyscode;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public void setEntranceSyscode(String entranceSyscode) {
        this.entranceSyscode = entranceSyscode;
    }

    public void setEntranceName(String entranceName) {
        this.entranceName = entranceName;
    }

    public void setRoadwaySyscode(String roadwaySyscode) {
        this.roadwaySyscode = roadwaySyscode;
    }

    public void setRoadwayName(String roadwayName) {
        this.roadwayName = roadwayName;
    }

    public void setVehicleOut(int vehicleOut) {
        this.vehicleOut = vehicleOut;
    }

    public void setReleaseMode(Integer releaseMode) {
        this.releaseMode = releaseMode;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public void setCrossTime(String crossTime) {
        this.crossTime = crossTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Override
    public String toString() {
        return "RecordData{" +
                "id='" + id + '\'' +
                ", parkSyscode='" + parkSyscode + '\'' +
                ", parkName='" + parkName + '\'' +
                ", entranceSyscode='" + entranceSyscode + '\'' +
                ", entranceName='" + entranceName + '\'' +
                ", roadwaySyscode='" + roadwaySyscode + '\'' +
                ", roadwayName='" + roadwayName + '\'' +
                ", vehicleOut=" + vehicleOut +
                ", releaseMode='" + releaseMode + '\'' +
                ", plateNo='" + plateNo + '\'' +
                ", cardNo='" + cardNo + '\'' +
                ", crossTime='" + crossTime + '\'' +
                ", createTime='" + createTime + '\'' +
                '}';
    }
}
